/*
	cmd.h
*/

#ifndef __CMD_H__
#define __CMD_H__

#include "decomp.h"
#include "types.h"

//
// DEFINES
//

typedef struct {
	l_byte id;		// e.g. 0x05
	char *name;		// e.g. "addn"
	int args;		// e.g. 2
} vm_command_t;

//
// FUNCTIONS
//

//
// EXTERNALS
//

extern vm_command_t test_commands[];
extern vm_command_t action_commands[];

extern int total_test_commands;
extern int total_action_commands;

#endif	// __CMD_H__
