/*
	driver_x11.h
*/

#include "config.h"

#ifndef NO_X11

#ifndef __DRIVER_X11_H__
#define __DRIVER_X11_H__

#include "types.h"

/*
 * FUNCTIONS
 */

int x11_init (void);
void x11_death (int sig);
void x11_close (void);
void x11_blit (l_byte *buf);
void x11_key_init (void);
void x11_key_close (void);
void x11_key_flush (void);
void x11_key_update (void);

#endif	/* __DRIVER_X11_H__ */

#endif	/* NO_X11 */
